﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h1>WebCapture</h1>

    <script type="text/javascript">
        function check(guid) {
            $.ajax({
                url: '<%= Url.Action("CheckStatus") %>',
                type: 'post',
                data: { guid: guid },
                success: function (data) {
                    if (data === false) {
                        window.setTimeout(function () { check(guid); }, 5000);
                    } else {
                        $("#result").html('<img src="' + data + '" /><br /><a href="' + data + '">Download image</a>');
                    }
                }
            });
        }

        function success(content) {
            var guid = content.get_response().get_object()['guid'];
            $("#result").html('Processing<br/><img src="../../Content/images/ajax-loader.gif" alt="Processing" />');
            window.setTimeout(function () { check(guid); }, 5000);
        }
    </script>

    <% using (Ajax.BeginForm("Submit", new AjaxOptions { OnSuccess = "success" })) { %>
        Enter a URL: <%= Html.TextBox("url") %>
        <input type="submit" value="Capture" />
        <div id="result"></div>
    <% } %>
</asp:Content>
